Page MenuHomeDevCentral

Fix php-amqplib deprecations
ClosedPublic

Authored by dereckson on Mar 16 2023, 00:46.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Apr 15, 00:33
Unknown Object (File)
Sun, Apr 14, 11:42
Unknown Object (File)
Sun, Apr 14, 04:54
Unknown Object (File)
Fri, Apr 12, 22:35
Unknown Object (File)
Wed, Apr 10, 04:15
Unknown Object (File)
Tue, Apr 9, 06:38
Unknown Object (File)
Sun, Apr 7, 08:43
Unknown Object (File)
Sat, Apr 6, 18:58
Subscribers
None

Details

Summary

The abstraction layer keruald/broker now uses the last php-amqplib version.
That fixes all the deprecations visible there in PHP 8.2.

Ref T1798

Test Plan

Tests in keruald/broker show deprecations disapparead.

Once deployed, no deprecation in that part of the code
should be reported anymore.

Diff Detail

Repository
rNOTIF Notifications center
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Harbormaster returned this revision to the author for changes because remote builds failed.Mar 16 2023, 00:50
Harbormaster failed remote builds in B4571: Diff 7383!

https://ci.nasqueron.org/job/test-notifications-phab/lastBuild/console tested last commit without applying this change, as the Phabricator plugin isn't currently available on Jenkins.

This revision is now accepted and ready to land.Mar 25 2023, 12:00
This revision was landed with ongoing or failed builds.Mar 25 2023, 12:05
This revision was automatically updated to reflect the committed changes.